Summary:	Configure and monitor Wireless Access Points 
Name:		ap-utils
Version:	1.5
Release:	0

Source:		%name-%version.tar.bz2

License:	GPL
Group:		Networking/Other
URL:		http://ap-utils.polesye.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Buildrequires:	ncurses-devel

%description
Wireless Access Point Utilities for Unix is a set of utilities 
to configure and monitor Wireless Access Points under Unix.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%configure

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man8
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/uk/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/fr/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/pl/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/ro/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/nl/LC_MESSAGES
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/tr/LC_MESSAGES
install -m 755 src/ap-auth $RPM_BUILD_ROOT/usr/bin/ap-auth
install -m 755 src/ap-config $RPM_BUILD_ROOT/usr/bin/ap-config
install -m 755 ap-gl/ap-gl $RPM_BUILD_ROOT/usr/bin/ap-gl
install -m 755 src/ap-mrtg $RPM_BUILD_ROOT/usr/bin/ap-mrtg
install -m 755 src/ap-rrd $RPM_BUILD_ROOT/usr/bin/ap-rrd
install -m 755 src/ap-tftp $RPM_BUILD_ROOT/usr/bin/ap-tftp
install -m 755 src/ap-trapd $RPM_BUILD_ROOT/usr/sbin/ap-trapd
install -m 644 Documentation/ap-trapd.8 $RPM_BUILD_ROOT/usr/share/man/man8/ap-trapd.8
install -m 644 Documentation/ap-mrtg.8 $RPM_BUILD_ROOT/usr/share/man/man8/ap-mrtg.8
install -m 644 Documentation/ap-config.8 $RPM_BUILD_ROOT/usr/share/man/man8/ap-config.8
install -m 644 Documentation/ap-gl.8 $RPM_BUILD_ROOT/usr/share/man/man8/ap-gl.8
install -m 644 Documentation/ap-auth.8 $RPM_BUILD_ROOT/usr/share/man/man8/ap-auth.8
install -m 644 Documentation/ap-tftp.8 $RPM_BUILD_ROOT/usr/share/man/man8/ap-tftp.8
install -m 644 po/uk.gmo $RPM_BUILD_ROOT/usr/share/locale/uk/LC_MESSAGES/ap-utils.mo
install -m 644 po/fr.gmo $RPM_BUILD_ROOT/usr/share/locale/fr/LC_MESSAGES/ap-utils.mo
install -m 644 po/pl.gmo $RPM_BUILD_ROOT/usr/share/locale/pl/LC_MESSAGES/ap-utils.mo
install -m 644 po/ro.gmo $RPM_BUILD_ROOT/usr/share/locale/ro/LC_MESSAGES/ap-utils.mo
install -m 644 po/nl.gmo $RPM_BUILD_ROOT/usr/share/locale/nl/LC_MESSAGES/ap-utils.mo
install -m 644 po/tr.gmo $RPM_BUILD_ROOT/usr/share/locale/tr/LC_MESSAGES/ap-utils.mo

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc AUTHORS INSTALL NEWS COPYING README TODO ChangeLog
%doc Documentation/FAQ Documentation/*.html 
%_bindir/*
%_sbindir/*
%_mandir/man8/*
%_datadir/locale/*/LC_MESSAGES/ap-utils.mo

%changelog
* Sun Sep 04 2005 Daniel Fischer <hidden.minds@web.de> 1.5
- 1.5
- Adopted to SUSE Linux 9.3
- New required packages for build: ncurses-devel

* Mon Nov 24 2003 Jacek Pliszka <pliszka@fuw.edu.pl> 1.3.4-pre1
- 1.3.4-pre1

* Mon Oct 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.3.3-1mdk
- 1.3.3

* Sat Jul 26 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.3.2-1mdk
- 1.3.2

* Sat Apr 25 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.3.1-2mdk
- adjust buildrequires

* Fri Mar 21 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.3.1-1mdk
- 1.3.1

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.3-2mdk
- rebuild

* Fri Dec 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.3-1mdk
- 1.3
- add locales & man pages

* Tue Nov 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.2-1mdk
- 1.2

* Fri Oct 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.1-1mdk
- 1.1.1

* Tue Jul 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3

* Fri Jul 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2
